#
# spec file for package libpcap (Version 1.1.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libpcap
Version:        1.1.1
Release:        2.1
Group:          System/Libraries
License:        BSD3c(or similar)
Url:            http://www.tcpdump.org/
Summary:        A Library for Network Sniffers
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
Patch0:         libpcap-1.0.0-filter-fix.patch
Patch1:         libpcap-1.0.0-fcode.patch
Patch2:         libpcap-1.0.0-pcap-bpf.patch
Patch3:         libpcap-1.0.0-ppp.patch
Patch4:         libpcap-1.0.0-s390.patch
Patch5:         libpcap-1.0.0-man.patch
Patch6:         libpcap-1.0.0-mac_syntax.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison
%if 0%{?suse_version}
BuildRequires:  bluez-devel
%else
BuildRequires:	bluez-libs-devel
%endif
BuildRequires:  flex

%description
libpcap is a library used by packet sniffer programs. It provides an
interface for them to capture and analyze packets from network devices.
This package is only needed if you plan to compile or write such a
program yourself.



Authors:
--------
    Bill Fenner <fenner@research.att.com>
    Assar Westerlund <assar@sics.se>
    Alexei <kuznet@ms2.inr.ac.ru>
    Jun-ichiro itojun Hagino <itojun@iijlab.net>
    Guy Harris <gharris@flashcom.net>
    Torsten Landschoff <t.landschoff@gmx.net>
    Michael Richardson <mcr@sandelman.ottawa.on.ca>
    Steve McCanne
    Craig Leres
    Van Jacobson

%package -n libpcap1
License:        BSD3c(or similar)
Summary:        A Library for Network Sniffers
Group:          System/Libraries
# bug437293
%ifarch ppc64
Obsoletes:      libpcap-64bit
%endif
#
%if 0%{?suse_version} > 1100
Provides:       libpcap = %{version}
Obsoletes:      libpcap < %{version}
%endif

%description -n libpcap1
libpcap is a library used by packet sniffer programs. It provides an
interface for them to capture and analyze packets from network devices.
This package is only needed if you plan to compile or write such a
program yourself.



Authors:
--------
    Bill Fenner <fenner@research.att.com>
    Assar Westerlund <assar@sics.se>
    Alexei <kuznet@ms2.inr.ac.ru>
    Jun-ichiro itojun Hagino <itojun@iijlab.net>
    Guy Harris <gharris@flashcom.net>
    Torsten Landschoff <t.landschoff@gmx.net>
    Michael Richardson <mcr@sandelman.ottawa.on.ca>
    Steve McCanne
    Craig Leres
    Van Jacobson

%package devel
License:        BSD3c(or similar)
Summary:        A Library for Network Sniffers
Group:          Development/Libraries/C and C++
Requires:       libpcap1 = %{version}

%description devel
libpcap is a library used by packet sniffer programs. It provides an
interface for them to capture and analyze packets from network devices.
This package is only needed if you plan to compile or write such a
program yourself.



Authors:
--------
    Bill Fenner <fenner@research.att.com>
    Assar Westerlund <assar@sics.se>
    Alexei <kuznet@ms2.inr.ac.ru>
    Jun-ichiro itojun Hagino <itojun@iijlab.net>
    Guy Harris <gharris@flashcom.net>
    Torsten Landschoff <t.landschoff@gmx.net>
    Michael Richardson <mcr@sandelman.ottawa.on.ca>
    Steve McCanne
    Craig Leres
    Van Jacobson

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6

%build
%ifarch %sparc
pic="PIC"
%else
pic="pic"
%endif
export CFLAGS="$RPM_OPT_FLAGS -f$pic" CXXFLAGS="$RPM_OPT_FLAGS -f$pic"
%configure \
  --enable-ipv6
make %{?_smp_mflags} all shared

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make DESTDIR=$RPM_BUILD_ROOT install install-shared

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libpcap1 -p /sbin/ldconfig

%postun -n libpcap1 -p /sbin/ldconfig

%files -n libpcap1
%defattr(-, root, root)
%doc CHANGES CREDITS LICENSE README README.linux TODO
%{_libdir}/*.so.*
%doc %{_mandir}/man7/*

%files devel
%defattr(-, root, root)
%doc %{_mandir}/man[1-6]/*
%{_includedir}/*
%{_bindir}/pcap-config
%{_libdir}/*.so
%{_libdir}/*.*a

%changelog
* Tue Apr  6 2010 puzel@novell.com
- update to libpcap-1.1.1
  - notable changes :
  - Add SocketCAN capture support
  - Add Myricom SNF API support
  - Update Endace DAG and ERF support
  - Support monitor mode on mac80211 devices on Linux
  - Fix USB memory-mapped capturing on Linux
  - On Linux, scan /sys/class/net for devices if we have it
  - Add limited support for reading pcap-ng files
  - see /usr/share/doc/packages/libpcap1/CHANGES for
  full list of changes
- drop fix-any-interface-handling.patch (fixed upstream)
- drop fix-usb-nic.patch (fixed upstream)
* Tue Jan 26 2010 jengelh@medozas.de
- large PIC model is required on SPARC
* Wed Dec 16 2009 jengelh@medozas.de
- add baselibs.conf as a source
- enable parallel building
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Thu Oct 29 2009 puzel@novell.com
- move pcap-filter and pcap-linktype out from -devel subpackage
  (bnc#550372)
* Tue May 26 2009 poeml@suse.de
- don't obsolete an old libpcap (0.9.x) package on openSUSE 11.0 or
  older (bnc#507083)
* Thu Mar 19 2009 puzel@suse.cz
- add fix-usb-nic.patch (bnc#455774)
* Fri Feb 20 2009 puzel@suse.cz
- fix-any-interface-handling.patch (bnc#463182)
* Wed Jan 14 2009 prusnak@suse.cz
- updated to 1.0.0
  * Compile with IPv6 support by default
  * Compile with large file support on by default
  * Add pcap-config script, which deals with -I/-L flags
    for compiling
  * DLT: Add IPMB
  * DLT: Add LAPD
  * DLT: Add AX25 (AX.25 w/KISS header)
  * DLT: Add JUNIPER_ST
  * 802.15.4 support
  * Variable length 802.11 header support
  * X2E data type support
  * SITA ACN Interface support - see README.sita
  * Support for zerocopy BPF on platforms that support it
  * Better support for dealing with VLAN tagging/stripping on Linux
  * Fix dynamic library support on OSX
  * Return PCAP_ERROR_IFACE_NOT_UP if the interface isn't 'UP', so
    applications can print better diagnostic information
  * Return PCAP_ERROR_PERM_DENIED if we don't have permission to open
    a device, so applications can tell the user they need to go play
    with permissions
  * On Linux, ignore ENETDOWN so we can continue to capture packets
    if the interface goes down and comes back up again.
  * On Linux, support new tpacket frame headers (2.6.27+)
  * On Mac OS X, add scripts for changing permissions on /dev/pbf* and
    launchd plist
  * On Solaris, support 'passive mode' on systems that support it
  * Fixes to autoconf and general build environment
  * Man page reorganization + cleanup
  * Autogenerate VERSION numbers better
- dropped obsoleted shared.patch
* Tue Jan 13 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Mon Sep 15 2008 dmueller@suse.de
- adjust buildrequires
* Thu Sep  4 2008 prusnak@suse.cz
- updated to CVS-20080503
  * support for USB and Bluetooth capture
* Wed Aug 20 2008 prusnak@suse.cz
- renamed libpcap package to libpcap0
- added ppp.patch and s390.patch (small issues)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Jan  8 2008 prusnak@suse.cz
- update to 0.9.8
  * Change build process to put public libpcap headers into pcap subdir
  * DLT: Add value for IPMI IPMB packets
  * DLT: Add value for u10 Networks boards
  * Require <net/pfvar.h> for pf definitions - allows reading of pflog
    formatted libpcap files on an OS other than where the file was generated
- added pcap-bpf.patch
  * add two structs needed for tahi testsuite
* Thu Jul 26 2007 prusnak@suse.cz
- updated to 0.9.7
  * added flags/configuration for cloning bpf device.
  * added DLT_MTP2_WITH_PHDR support (PPI)
  * introduced support for the DAG ERF type TYPE_COLOR_MC_HDLC_POS
  * added basic BPF filtering support for DLT_MTP2_WITH_PHDR
  * add support for DLT_JUNIPER_ISM
  * allocate DLT_ for 802.15.4 without any header munging
  * header for 802.16 MAC Common Part Sublayer plus a radiotap radio header
- branch -devel subpackage
* Thu Jul 12 2007 prusnak@suse.cz
- updated to 0.9.6
  * added Bluetooth support
  * added USB capturing support
  * added support for the binary USB sniffing interface
  * added additional filter operations for 802.11 frame types
  * added support for filtering on MTP2 frame types
  * added LINKTYPE_ for IEEE 802.15.4, with address fields padded
  * added LINKTYPE_ value corresponding to DLT_IEEE802_16_MAC_CPS
  * added DLT for IEEE 802.16 (WiMAX) MAC Common Part Sublayer
  * added DLT for Bluetooth HCI UART transport layer
  * fixed discarding of unread packets when changing filters
  * fixed a bug in pcap_open_live()
* Wed May  2 2007 pth@suse.de
- Use correct version for naming the shared library (#270226)
* Thu Mar 29 2007 rguenther@suse.de
- add flex and bison BuildRequires
* Tue Jan 16 2007 prusnak@suse.cz
- implemented socket timeout (socket-timeout.diff) [#234034]
* Wed Jan  3 2007 prusnak@suse.cz
- update to 0.9.5
  * Support for LAPD frames with vISDN
  * Support for ERF on channelized T1/E1 cards via DAG API
  * Better failure detection on PacketGetAdapterNames()
  * Fixes for MPLS packet generation (link layer)
  * OP_PACKET now matches the beginning of the packet, instead of beginning+link-layer
  * Fix allocation of buffer for list of link-layer types
  * Add support for DLT_JUNIPER_VP
  * Don't double-count received packets on Linux systems
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 mjancar@suse.cz
- update to 0.9.4
* Tue Aug  9 2005 kkeil@suse.de
- Reverse the -fno-strict-aliasing work around
* Sun Aug  7 2005 aj@suse.de
- Compile with -fno-strict-aliasing to work around compiler bug for now.
* Thu Aug  4 2005 ro@suse.de
- do not package all of libdir (debuginfo)
* Tue Aug  2 2005 mjancar@suse.cz
- update to 0.9.3
* Tue Apr 12 2005 ro@suse.de
- added return value to non-void functions
* Thu Nov 18 2004 ro@suse.de
- fixed file list
* Tue Aug 24 2004 kkeil@suse.de
- add DLT_PPP_WITHDIRECTION from libpcap cvs to handle PPP filters
  in a compatible way
  Thanks to Hannes Gredler <hannes@juniper.net> for implementing it
* Wed Aug  4 2004 postadal@suse.cz
- updated to version 0.8.3
* Mon Feb  9 2004 postadal@suse.cz
- updated to version 0.8.1
  * the include file include/net/bpf.h renamed to include/pcap-bpf
- fixed config (LIBOBJS issue)
* Sat Jan 10 2004 schwab@suse.de
- Use autoreconf.
* Thu Jul 24 2003 postadal@suse.cz
- update to version 0.7.2
  * support frame relay
  * support for ARPHRD_RAWHDLC
  * support eg (Octane/O2xxx/O3xxx Gigabit) devices
  * add new reserved DLT types
* Mon May 20 2002 postadal@suse.de
- security fix (get spurious packets before kernel filter kicks in)
- update to 0.7.1
  * pcap_stats() has been documented as to what its counters mean on
    each platform
  * Added pcap_findalldevs() call to get list of interfaces in
    a MI way
* Wed Mar 13 2002 postadal@suse.cz
- fixed Makefile.in to created shared library
* Thu Jan 10 2002 cihlar@suse.cz
- use %%{_lib}
* Fri Feb 23 2001 cihlar@suse.cz
- update to 0.6.2 - it should handle isdn without patch
* Thu Dec  7 2000 schwab@suse.de
- Compile with -fpic so that it can be included in a shared library.
* Wed Oct 11 2000 smid@suse.cz
- new version 0.5.2
* Thu Jun  8 2000 cihlar@suse.cz
- Group sorted
* Fri Apr 21 2000 smid@suse.cz
- buildroot added
* Thu Mar  2 2000 uli@suse.de
- moved man page to %%{_mandir}
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Sun Jul 11 1999 @suse.de
- new package: libpcap
  now an extra package, because many network tools use it (so far
  it was included in .srpm packages that needed it, like tcpdump)
